$(document).ready(function(){
    $('.moveto').click(function(){
        var link = $(this).attr('href');
        $('html, body').animate({scrollTop:$(link).offset().top+75},800);
        return false;
    });

    getSectionHeightOffset();

    $(window).resize(function() {
    	getSectionHeightOffset();
    });

    var navs = $("nav ul li");

    console.log(navs);
    
    $(window).scroll(function(){
		colorTheGoodDot(navs);
	});
});

var lastDot = null;
var htop, s1top, s2top, s3top, s4top, s5top = 0;

function getSectionHeightOffset() {
	htop = $("#header").offset().top;
	s1top = $("#s1").offset().top;
	s2top = $("#s2").offset().top;
	s3top = $("#s3").offset().top;
	s4top = $("#s4").offset().top;
	s5top = $("#s5").offset().top;
}

function changeTheColorOfTheDot(item) {
	if (lastDot == item)
		return;
	$(lastDot).find('.menu_item').css('background', '#ffe4bc');
	$(item).find('.menu_item').css('background', '#ce900c');
	console.log(item);
	lastDot = item;
}

function colorTheGoodDot(navs) {
	var scroll = $(window).scrollTop();

	if (scroll >= htop && scroll < s1top)
		changeTheColorOfTheDot(navs[0]);
	else if (scroll >= s1top && scroll < s2top)
		changeTheColorOfTheDot(navs[1]);
	else if (scroll >= s2top && scroll < s3top)
		changeTheColorOfTheDot(navs[2]);
	else if (scroll >= s3top && scroll < s4top)
		changeTheColorOfTheDot(navs[3]);
	else if (scroll >= s4top && scroll < s5top)
		changeTheColorOfTheDot(navs[4]);
}